# Ogre::VertexCacheProfiler Class Reference

Vertex cache profiler. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::VertexCacheProfiler:

[legend]

List of all members.

## Public Types

enum | CacheType { FIFO, LRU }

## Public Member Functions

| VertexCacheProfiler (unsigned int cachesize=16, CacheType cachetype=FIFO)
| ~VertexCacheProfiler ()
void | profile (const HardwareIndexBufferSharedPtr &indexBuffer)
void | reset ()
void | flush ()
unsigned int | getHits ()
unsigned int | getMisses ()
unsigned int | getSize ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Private Member Functions

bool | inCache (unsigned int index)

## Private Attributes

unsigned int | size
uint32 * | cache
CacheType | type
unsigned int | tail
unsigned int | buffersize
unsigned int | hit
unsigned int | miss

## Detailed Description

Vertex cache profiler.

Remarks:
  Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer.

Definition at line 249 of file OgreVertexIndexData.h.

## Member Enumeration Documentation

enum Ogre::VertexCacheProfiler::CacheType

Enumerator:

  FIFO |
  LRU |

Definition at line 252 of file OgreVertexIndexData.h.

## Constructor & Destructor Documentation

Ogre::VertexCacheProfiler::VertexCacheProfiler | ( | unsigned int | cachesize = `16`,
|  | CacheType | cachetype = `FIFO` |
| ) |  |  |

Definition at line 256 of file OgreVertexIndexData.h.

References Ogre::MEMCATEGORY_GEOMETRY, and OGRE_ALLOC_T.

Ogre::VertexCacheProfiler::~VertexCacheProfiler | ( |  | ) |

Definition at line 262 of file OgreVertexIndexData.h.

References Ogre::MEMCATEGORY_GEOMETRY, and OGRE_FREE.

## Member Function Documentation

void Ogre::VertexCacheProfiler::profile | ( | const HardwareIndexBufferSharedPtr & | indexBuffer | ) |

void Ogre::VertexCacheProfiler::reset | ( | void |  | ) |

Definition at line 268 of file OgreVertexIndexData.h.

void Ogre::VertexCacheProfiler::flush | ( |  | ) |

Definition at line 269 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getHits | ( |  | ) |

Definition at line 271 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getMisses | ( |  | ) |

Definition at line 272 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getSize | ( |  | ) |

Definition at line 273 of file OgreVertexIndexData.h.

bool Ogre::VertexCacheProfiler::inCache | ( | unsigned int | index | ) | `[private]`

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

unsigned int Ogre::VertexCacheProfiler::size `[private]`

Definition at line 273 of file OgreVertexIndexData.h.

uint32* Ogre::VertexCacheProfiler::cache `[private]`

Definition at line 276 of file OgreVertexIndexData.h.

CacheType Ogre::VertexCacheProfiler::type `[private]`

Definition at line 277 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::tail `[private]`

Definition at line 279 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::buffersize `[private]`

Definition at line 279 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::hit `[private]`

Definition at line 280 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::miss `[private]`

Definition at line 280 of file OgreVertexIndexData.h.

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:37:09 2009